DLV-TRACE(1)

NAME

dlv-trace - Compile and begin tracing program.

SYNOPSIS

dlv trace [package] regexp [flags]

DESCRIPTION

Trace program execution.

The trace sub command will set a tracepoint on every function matching the provided regular expression and output information when tracepoint is hit. This is useful if you do not want to begin an entire debug session, but merely want to know what functions your process is executing.

The output of the trace sub command is printed to stderr, so if you would like to only see the output of the trace operations you can redirect stdout.

OPTIONS

--ebpf[=false]
    Trace using eBPF (experimental).

-e, --exec=""
    Binary file to exec and trace.

--follow-calls=0
    Trace all children of the function to the required depth

-h, --help[=false]
    help for trace

--output=""
    Output path for the binary.

-p, --pid=0
    Pid to attach to.

-s, --stack=0
    Show stack trace with given depth. (Ignored with --ebpf)

-t, --test[=false]
    Trace a test binary.

--timestamp[=false]
    Show timestamp in the output

OPTIONS INHERITED FROM PARENT COMMANDS

--accept-multiclient[=false]
    Allows a headless server to accept multiple client connections via JSON-RPC or DAP.

--allow-non-terminal-interactive[=false]
    Allows interactive sessions of Delve that don't have a terminal as stdin, stdout and stderr

--api-version=2
    Selects JSON-RPC API version when headless. The only valid value is 2. Can be reset via RPCServer.SetApiVersion. See Documentation/api/json-rpc/README.md.

--backend="default"
    Backend selection (see 'dlv help backend').

--build-flags=""
    Build flags, to be passed to the compiler. For example: --build-flags="-tags=integration -mod=vendor -cover -v"

--check-go-version[=true]
    Exits if the version of Go in use is not compatible (too old or too new) with the version of Delve.

--disable-aslr[=false]
    Disables address space randomization

--headless[=false]
    Run debug server only, in headless mode. Server will accept both JSON-RPC or DAP client connections.

--init=""
    Init file, executed by the terminal client.

-l, --listen="127.0.0.1:0"
    Debugging server listen address. Prefix with 'unix:' to use a unix domain socket.

--log[=false]
    Enable debugging server logging.

--log-dest=""
    Writes logs to the specified file or file descriptor (see 'dlv help log').

--log-output=""
    Comma separated list of components that should produce debug output (see 'dlv help log')

--only-same-user[=true]
    Only connections from the same user that started this instance of Delve are allowed to connect.

-r, --redirect=[]
    Specifies redirect rules for target process (see 'dlv help redirect')

--wd=""
    Working directory for running the program.

SEE ALSO

dlv(1)